Fiskil Docs

Update end user

Update an end user

POST
/end-users/{end_user_id}

Update an end user

Path Parameters

end_user_idstringrequired

ID of the end user

Request Body

application/json

abnstring

Australian Business Number (ABN) of the end user if they represent a business

emailstring

An End Users email address. This should be their primary email, as it is used for notifying the End User about their consents.

phonestring

An End Users Phone number in E.164 format

session_idstringrequired

ID of the session

Response Body

application/vnd.goa.error

application/vnd.goa.error

curl -X POST "https://example.com/end-users/eu_2yRHN2ag2y4p8kCtm5DOeccZEXB" \  -H "Content-Type: application/json" \  -d '{    "abn": "51 824 753 556",    "email": "john_starmer@gmail.com",    "phone": "+614123456789",    "session_id": "ses-123"  }'

This response has no body.

{  "fault": true,  "id": "123abc",  "message": "parameter 'p' must be an integer",  "name": "bad_request",  "temporary": true,  "timeout": false}
{  "fault": true,  "id": "123abc",  "message": "parameter 'p' must be an integer",  "name": "bad_request",  "temporary": true,  "timeout": false}